# $Revision: 1.10 $, $Date: 2011/02/22 17:52:59 $
#
# Conditional build:
%bcond_without	tests		# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define	pdir	Sub
%define	pnam	Name
Summary:	Sub::Name - (re)name a sub
Summary(pl.UTF-8):	Sub::Name - nazwanie/zmiana nazwy podprogramu
Name:		perl-Sub-Name
Version:	0.05
Release:	1
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/Sub/FLORA/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	26077202597620e4a6068c8087f3e09f
URL:		http://search.cpan.org/dist/Sub-Name/
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This module has only one function, which is also exported by default:

Assigns a new name to referenced sub. If package specification is
omitted in the name, then the current package is used. The return
value is the sub.

%description -l pl.UTF-8
Ten moduł ma tylko jedną funkcję, eksportowaną domyślnie. Przypisuje
ona nową nazwę do wskazanego podprogramu. Jeśli specyfikacja pakietu
została pominięta w nazwie, użyty jest pakiet bieżący. Wartością
zwracaną jset podprogram.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make} \
	CC="%{__cc}" \
	OPTIMIZE="%{rpmcflags}"

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%{perl_vendorarch}/Sub/Name.pm
%dir %{perl_vendorarch}/auto/Sub/Name
%{perl_vendorarch}/auto/Sub/Name/Name.bs
%attr(755,root,root) %{perl_vendorarch}/auto/Sub/Name/Name.so
%{_mandir}/man3/Sub::Name.3pm*

%define	date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Sub-Name.spec,v $
Revision 1.10  2011/02/22 17:52:59  qboosh
- updated to 0.05

Revision 1.9  2010/11/12 23:38:12  pawelz
- release 4

Revision 1.8  2010/06/06 08:42:36  arekm
- release 3

Revision 1.7  2009/03/14 11:59:35  hawk
- release 2

Revision 1.6  2008/07/20 11:29:34  qboosh
- updated to 0.04

Revision 1.5  2008/02/10 12:20:09  arekm
- rel 2

Revision 1.4  2008-01-10 08:38:41  glen
- add CC to %{__make}
  grep OPTIMIZE= perl-* -l|xargs grep -c CC=|grep :0|cut -d: -f1|xargs sed -i -e '/%{__make} \\$/a\\tCC="%{__cc}" \\'

Revision 1.3  2007-02-13 21:25:01  qboosh
- pl, generic URL

Revision 1.2  2007/02/09 23:30:23  radek
- release 1

Revision 1.1  2007/02/09 23:28:14  radek
- new
